package token;

import java.util.function.Supplier;

import file.FilePosition;
import sexpression.LispString;
import sexpression.SExpression;

public class QuotedString extends Token {

    public QuotedString(String text, FilePosition position) {
        super(text, position);
    }

    @Override
    public SExpression parseSExpression(Supplier<Token> getNextToken) {
        return new LispString(getText());
    }

}
